REBOL [
	Title: "REBOL/View Desktop - Help Window"
	Version: 1.0.0
	Author: "Carl Sassenrath"
	Rights: "Copyright REBOL Technologies 1999-2005. All rights reserved."
	; You are free to use, modify, and distribute this software with any
	; REBOL Technologies products as long as the above header, copyright,
	; and this comment remain intact. This software is provided "as is"
	; and without warranties of any kind. In no event shall the owners or
	; contributors be liable for any damages of any kind, even if advised
	; of the possibility of such damage. See license for more information.

	; Please help us to improve this software by contributing changes and
	; fixes via http://www.rebol.com/feedback.html - Thanks!
]

help-view: does [
	; Display help information window:
	view/new/title center-face layout [
		style text text 300 bold
		style btn btn 80
		style arw box 20x20 effect [arrow 120.0.0 rotate 90]
		backdrop dtw-skin/main-color effect [grid 150.170.150]
		across space 0x0
		image logo.gif
		box 320x24 effect [merge gradmul 0.0.0 128.128.128]
		space 3x10
		return
		pad 23x14 text as-is either system/user-license/id [
			reform [
				pick ["REBOL/View/Pro" "REBOL/Command/View"]  (system/product = 'view)
				system/version "^/Licensed to:" system/user-license/name
			]
		][
			reform [pick ["REBOL/View" "REBOL/Command/View"] (system/product = 'view) system/version]
		]
		pad 0x3
		btn-cancel 80 "Close" [unview]
		return
		box 300x2 maroon
		return
		arw text {
			To check for updates...
		}
		btn "Updates" [launch-thru/update http://www.rebol.com/view/updates.r]
		return
		arw text {
			For documentation about REBOL...
		}
		btn "Documents" [browse http://www.rebol.com/docs.html]
		return
		arw text {
			Using the Viewtop and creating Reb-sites....
		}
		btn "Viewtop" [browse http://www.rebol.com/docs/desktop.html]
		return
		arw text {
			Uninstall this product...
		}
		btn "Uninstall" [uninstall] ;[launch-thru/update http://www.rebol.com/view/store.r]
		return
;		arw text {
;			To report a problem or request an enhancement...
;		}
;		btn "RAMBO" [launch-thru/update http://www.rebol.com/view/rambo.r]
;		return
		arw text {
			To contact REBOL Technologies...
		}
		btn "Feedback" [launch-thru/update http://www.rebol.com/view/feedback.r]
		return
		pad 23
		text font-size 9 {Copyright REBOL Technologies. All rights reserved.
			REBOL is a trademark of REBOL Technologies.}
	]
	"View Help Information"
]

